Bug 1412282 - [abrt] blueman: _init(): Manager.py:40:_init:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=2500...
Summary: [abrt] blueman: _init(): Manager.py:40:_init:GLib.GError: g-dbus-error-quark:...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 26
Hardware: All
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:daf657b19c971a76e1b0c1e41dd...
Keywords:
: 1439492 1471650 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 16:49 UTC by Paul Whalen
Modified: 2018-05-29 11:45 UTC (History)
24 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:45:52 UTC


Attachments (Terms of Use)
File: backtrace (1.10 KB, text/plain)
2017-01-11 16:49 UTC, Paul Whalen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1325728 None None None Never

Internal Trackers: 1325728

Description Paul Whalen 2017-01-11 16:49:27 UTC
Description of problem:
Boot XFCE desktop image, after sign in crash occurs.

Version-Release number of selected component:
blueman-2.1-0.4.alpha1.fc26

Additional info:
reporter:       libreport-2.9.0
crash_function: _init
exception_type: GLib.GError
executable:     /usr/bin/blueman-applet
kernel:         4.10.0-0.rc3.git0.1.fc26.armv7hl+lpae
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
Manager.py:40:_init:GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 27, in <module>
    BluemanApplet()
  File "/usr/lib/python3.6/site-packages/blueman/main/Applet.py", line 33, in __init__
    self.Manager = Bluez.Manager()
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Manager.py", line 30, in __new__
    cls._instance._init(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/bluez/Manager.py", line 40, in _init
    self.__bus_name, '/', None, None, None)
GLib.GError: g-dbus-error-quark: Error calling StartServiceByName for org.bluez: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms) (20)

Local variables in innermost frame:
self: <Manager.Manager object at 0xb482b210 (blueman+bluez+Manager+Manager at 0x80540d60)>
__class__: <class 'blueman.bluez.Manager.Manager'>

Comment 1 Paul Whalen 2017-01-11 16:49:32 UTC
Created attachment 1239538 [details]
File: backtrace

Comment 2 Fedora End Of Life 2017-02-28 10:55:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Giulio 'juliuxpigface' 2017-04-27 18:56:37 UTC
Hi Paul.

Is this still here? If xfce on armvl7 is release blocking, this might be a blocker (see the "2.5.4 SELinux and crash notifications" Final criterion).

For the record, I hit the same bug (https://bugzilla.redhat.com/show_bug.cgi?id=1439492) on x86_64 and proposed it as FE

Comment 4 Adam Williamson 2017-04-27 19:14:06 UTC
Yeah, seems like this should be proposed as a final blocker.

Comment 5 Paul Whalen 2017-05-01 16:34:45 UTC
(In reply to Giulio 'juliuxpigface' from comment #3)
> Hi Paul.
> 
> Is this still here? If xfce on armvl7 is release blocking, this might be a
> blocker (see the "2.5.4 SELinux and crash notifications" Final criterion).

Yes, this still happens on Fedora-Xfce-armhfp-26-20170420.n.0-sda.raw.xz , proposing as a blocker for final as noted above. 

"There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop."

Comment 6 Geoffrey Marr 2017-05-01 18:37:37 UTC
Discussed during the 2017-05-01 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-05-01/f26-blocker-review.2017-05-01-16.02.txt

Comment 7 Delete My Account 2017-06-02 06:52:27 UTC
*** Bug 1439492 has been marked as a duplicate of this bug. ***

Comment 8 Adam Williamson 2017-06-14 18:33:20 UTC
Ping? We need to do something about this; we're now out of Beta phase and Final blockers need to get fixed.

I suspect upstream https://github.com/blueman-project/blueman/commit/161b8a47875ef642f2ed782781f25a8f1ed656cf may be a fix for this?

CCing Kevin and Christoph as this is an Xfce spin-related blocker.

Comment 9 Kevin Fenzi 2017-06-14 21:48:05 UTC
So where are you all seeing this crash? Just in the journal? ~/.xfce4-session ?

Here I do not see it crash, but anoyingly it pops up 2 xfce-polkit dialogs to gain access to bluetooth. 

I'll take a look at the patch...

Comment 10 Kevin Fenzi 2017-06-14 22:53:13 UTC
Here's a scratch build with the above patch if anyone would be able to test. 

https://koji.fedoraproject.org/koji/taskinfo?taskID=20024713

Comment 11 Adam Williamson 2017-06-14 23:53:02 UTC
I just went through the blocker list, I didn't try to reproduce the bug; but as it's an abrt report, the report to me strongly implies that a crash notification appears right after sign-in. Perhaps it's ARM-only, for some reason? Paul can likely give more details.

Comment 12 Adam Williamson 2017-06-19 16:27:19 UTC
This is already accepted as a blocker, so dropping the FE nomination.

Comment 13 Paul Whalen 2017-06-21 15:02:42 UTC
(In reply to Kevin Fenzi from comment #10)
> Here's a scratch build with the above patch if anyone would be able to test. 
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=20024713

Testing this scratch build I get a new dialog box after log in:

Failed to apply network settings
You might not be able to connect to the Bluetooth network via this machine

Exception

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.GLib.Error: Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/blueman/main/DbusService.py", line 38, in wrapper
    return method(*args[1:], **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/plugins/mechanism/Network.py", line 56, in ReloadNetwork
    self.confirm_authorization(caller, "org.blueman.network.setup")
  File "/usr/libexec/blueman-mechanism", line 166, in confirm_authorization
    action_id, {}, 1, "")
  File "/usr/lib/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.42" (uid=0 pid=1307 comm="python3 /usr/libexec/blueman-mechanism " label="system_u:system_r:blueman_t:s0") interface="org.freedesktop.PolicyKit1.Authority" member="CheckAuthorization" error name="(unset)" requested_reply="0" destination=":1.7" (uid=997 pid=621 comm="/usr/lib/polkit-1/polkitd --no-debug " label="system_u:system_r:policykit_t:s0") (9)
 (36)

When selinux is in permissive an xfce-polkit authorization dialog is given as noted in c#9. When attempting to launch Bluetooth Manager after I hit another issue which looks to also affect x86 - https://bugzilla.redhat.com/show_bug.cgi?id=1463703

Comment 14 Kevin Fenzi 2017-06-22 18:19:22 UTC
I've mailed the Xfce list here our options... 

I am kinda leaning toward switching to blueberry. 

If someone wants to test a login with blueberry installed and blueman removed to confirm all works that would be a nice datapoint.

Comment 15 Paul Whalen 2017-06-22 21:26:06 UTC
blueberry-1.1.13-1.fc26.noarch looks good on arm, no issues on login, seems to function (no bluetooth available).

Comment 16 Kevin Fenzi 2017-06-28 00:29:34 UTC
I've switched Xfce over to blueberry... so we can drop blocker status on this (but of course it's still a bug).

Comment 17 Adam Williamson 2017-06-28 00:53:17 UTC
Seems reasonable, dropping blocker status.

Comment 18 Adam Williamson 2017-07-13 17:14:19 UTC
Kevin: did you consider folks with an F25 Xfce install upgrading to F26? Are you going to set up anything to switch people from blueman to blueberry on upgrade?

Comment 19 Jeff Needle 2017-07-13 17:19:50 UTC
FWIW, I'm getting this in x86_64 so it's not just arm.  f25->f26 upgrade.

Comment 20 Wolfgang Pfeiffer 2017-07-14 07:46:54 UTC
(In reply to Paul Whalen from comment #13)
> (In reply to Kevin Fenzi from comment #10)
> > Here's a scratch build with the above patch if anyone would be able to test. 
> > 
> > https://koji.fedoraproject.org/koji/taskinfo?taskID=20024713
> 
> Testing this scratch build I get a new dialog box after log in:
> 
> Failed to apply network settings
> You might not be able to connect to the Bluetooth network via this machine
> 
> Exception
> 
> g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.GLib.Error:
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/site-packages/dbus/service.py", line 707, in
> _[  .... ]

I don't use any scratch build, just a regular install via an update from F25 -> F26, and I get this when starting blueman-applet, after starting blueman-applet from a Gnome terminal: probably exactly the same as what Paul Whalen got.  Pasted here to be on the safe side:

-----------
Failed to apply network settings

You might not be able to connect to the Bluetooth network via
this machine

Exception

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.GLib.Error: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/blueman/main/DbusService.py", line 38, in wrapper
    return method(*args[1:], **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/plugins/mechanism/Network.py", line 56, in ReloadNetwork
    self.confirm_authorization(caller, "org.blueman.network.setup")
  File "/usr/libexec/blueman-mechanism", line 166, in confirm_authorization
    action_id, {}, 1, "")
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.654" (uid=0 pid=2298 comm="python3 /usr/libexec/blueman-mechanism " label="system_u:system_r:blueman_t:s0") interface="org.freedesktop.PolicyKit1.Authority" member="CheckAuthorization" error name="(unset)" requested_reply="0" destination=":1.8" (uid=995 pid=1550 comm="/usr/lib/polkit-1/polkitd --no-debug " label="system_u:system_r:policykit_t:s0") (9)
 (36)
--------------------------

Additionally, this is what the command line in this gnome terminal says after starting blueman-applet:

---------------------------
$ blueman-applet 

** (blueman-applet:2292): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
blueman-applet version 2.1.alpha1 starting
Stale PID, overwriting
_________
Load (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:61)
['PPPSupport', 'NetUsage', 'GameControllerWakelock', 'NMDUNSupport', 'KillSwitch', 'DhcpClient', 'DiscvManager', 'TransferService', 'PowerManager', 'RecentConns', 'SerialManager', 'Menu', 'AuthAgent', 'StatusIcon', 'ExitItem', 'StandardItems', 'DBusService', 'NMPANSupport', 'Networking', 'ShowConnected'] 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.StatusIcon.StatusIcon'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.DBusService.DBusService'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
Not loading PPPSupport because its conflict has higher priority 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.GameControllerWakelock.GameControllerWakelock'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.NMDUNSupport.NMDUNSupport'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.Menu.Menu'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.PowerManager.PowerManager'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.KillSwitch.KillSwitch'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
Not loading DhcpClient because its conflict has higher priority 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.DiscvManager.DiscvManager'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.TransferService.TransferService'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.RecentConns.RecentConns'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.SerialManager.SerialManager'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.AuthAgent.AuthAgent'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.ExitItem.ExitItem'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.StandardItems.StandardItems'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.NMPANSupport.NMPANSupport'> 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.Networking.Networking'> 
_________
load_nap_settings (/usr/lib/python3.6/site-packages/blueman/plugins/applet/Networking.py:37)
Loading NAP settings 
_________
__load_plugin (/usr/lib/python3.6/site-packages/blueman/main/PluginManager.py:134)
loading <class 'blueman.plugins.applet.ShowConnected.ShowConnected'> 
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
_________
_on_dbus_name_appeared (/usr/lib/python3.6/site-packages/blueman/plugins/applet/TransferService.py:188)
org.bluez.obex :1.81 
_________
_on_dbus_name_appeared (/usr/lib/python3.6/site-packages/blueman/main/Applet.py:56)
org.bluez :1.7 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Address 54:35:30:65:3B:E2 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Name aw17 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Alias aw17 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Class 1835276 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Powered True 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Discoverable False 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 DiscoverableTimeout 0 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Pairable True 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 PairableTimeout 0 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Discovering False 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 UUIDs ['00001112-0000-1000-8000-00805f9b34fb', '00001801-0000-1000-8000-00805f9b34fb', '0000110e-0000-1000-8000-00805f9b34fb', '00001106-0000-1000-8000-00805f9b34fb', '00001800-0000-1000-8000-00805f9b34fb', '00001105-0000-1000-8000-00805f9b34fb', '00001200-0000-1000-8000-00805f9b34fb', '0000110c-0000-1000-8000-00805f9b34fb', '00001104-0000-1000-8000-00805f9b34fb', '0000110a-0000-1000-8000-00805f9b34fb', '0000110b-0000-1000-8000-00805f9b34fb', '00001133-0000-1000-8000-00805f9b34fb', '0000112f-0000-1000-8000-00805f9b34fb', '00001132-0000-1000-8000-00805f9b34fb'] 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0 Modalias usb:v1D6Bp0246d052D 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Address 00:12:D2:ED:F4:79 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Name Motorola Phone 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Alias Motorola Phone 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Class 5906948 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Icon phone 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Paired True 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Trusted False 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Blocked False 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 LegacyPairing True 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Connected False 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 UUIDs ['00000002-0000-1000-8000-0002ee000002', '00001000-0000-1000-8000-00805f9b34fb', '00001103-0000-1000-8000-00805f9b34fb', '00001105-0000-1000-8000-00805f9b34fb', '00001106-0000-1000-8000-00805f9b34fb', '0000110a-0000-1000-8000-00805f9b34fb', '0000110c-0000-1000-8000-00805f9b34fb', '00001112-0000-1000-8000-00805f9b34fb', '0000111b-0000-1000-8000-00805f9b34fb', '0000111f-0000-1000-8000-00805f9b34fb'] 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 Adapter /org/bluez/hci0 
_________
do_g_properties_changed (/usr/lib/python3.6/site-packages/blueman/bluez/Base.py:81)
/org/bluez/hci0/dev_00_12_D2_ED_F4_79 ServicesResolved False 
_________
initialize (/usr/lib/python3.6/site-packages/blueman/plugins/applet/RecentConns.py:130)
rebuilding menu 
_________
register_agent (/usr/lib/python3.6/site-packages/blueman/main/applet/BluezAgent.py:86)

_________
set_nap (/usr/lib/python3.6/site-packages/blueman/plugins/applet/Networking.py:72)
set nap False 
_________
on_registered (/usr/lib/python3.6/site-packages/blueman/bluez/obex/AgentManager.py:18)
/org/bluez/obex/agent/blueman 
_________
enumerate_connections (/usr/lib/python3.6/site-packages/blueman/plugins/applet/ShowConnected.py:47)
Found 0 existing connections 
_________
RequestPowerState (/usr/lib/python3.6/site-packages/blueman/plugins/applet/PowerManager.py:127)
Requesting True 
_________
on_power_state_change_requested (/usr/lib/python3.6/site-packages/blueman/plugins/applet/KillSwitch.py:120)
True 
_________
UpdatePowerState (/usr/lib/python3.6/site-packages/blueman/plugins/applet/PowerManager.py:154)
off False 
foff False 
on True 
current state True 
new state True 
_________
check (/usr/lib/python3.6/site-packages/blueman/plugins/applet/PowerManager.py:115)
callbacks done 
_________
set_adapter_state (/usr/lib/python3.6/site-packages/blueman/plugins/applet/PowerManager.py:87)
True 

--------------------------

HTH
Wolfgang

Comment 21 Wim ten Have 2017-07-17 07:33:44 UTC
*** Bug 1471650 has been marked as a duplicate of this bug. ***

Comment 22 Kevin Fenzi 2017-07-18 16:55:46 UTC
(In reply to Adam Williamson from comment #18)
> Kevin: did you consider folks with an F25 Xfce install upgrading to F26? Are
> you going to set up anything to switch people from blueman to blueberry on
> upgrade?

I'm open to ideas there... we can't obsolete blueman unless we are dropping it from Fedora though.

Comment 23 Adam Pribyl 2017-08-20 18:22:17 UTC
Bug 1439492 is marked as duplicate of this bug, but this one is agains armv7, I am on x86_64. Should it be changed to "All"?

Comment 24 Jan Vlug 2017-08-26 08:10:07 UTC
Confirming that this bug also happens on x86_64.

Comment 25 Jaroslav Škarvada 2017-11-12 16:12:50 UTC
Also encountered on x86_64 after boot, changing the HW to All.

Comment 26 Jonas Thiem 2017-11-26 15:21:38 UTC
I get this on each login on a F27 x64 desktop. It was upgraded from F25.

Comment 27 Marco Nolden 2017-12-06 14:51:47 UTC
(In reply to Jonas Thiem from comment #26)
> I get this on each login on a F27 x64 desktop. It was upgraded from F25.

Same here. Crash on every login on F27 x64. Reported it a couple of times but I guess they are all duplicates, though not always identified as such by the bug report tool

Comment 28 Fedora End Of Life 2018-05-03 07:59:14 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 29 Fedora End Of Life 2018-05-29 11:45:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.